Adium

Opened 8 years ago

Last modified 8 years ago

#15807 new defect

AIM: Method not allowed - https request required

Reported by: kormoc Owned by:
Milestone: Component: Service/AIM
Version: Severity: normal
Keywords: Cc:
Patch Status:

Description

Summary

Error: Received unexpected response from https://api.screenname.aol.com/auth/clientLogin: Method not allowed - https request required

Steps to reproduce

  1. Install Adium 1.5rc2 (54bf54866537)
  2. Try to connect to an AIM account
  3. Read the error message

Expected results

Connect to AIM

Actual results

Doesn't connect to AIM

Regression

Previous versions seemed to connect fine.

Notes

Change History (6)

comment:1 Changed 8 years ago by Robert

Ticket #15809 has been marked as a duplicate of this ticket.

comment:2 Changed 8 years ago by Robert

#15809 would indicate the correlation with updating to 1.5rc2 is not causal but coincidental.

comment:3 Changed 8 years ago by Christopher Bowns

I hit this about 20 minutes ago in 1.5rc1, and again in rc2. Multiple login attempts eventually succeed; might be a crabby server on their end?

comment:4 Changed 8 years ago by Robert

Yeah, seems likely. I am able to connect without a hitch.

comment:5 Changed 8 years ago by Leon Buijs

I didn't keep track of the version it started with, (now on 1.5.2) but I get this error often after waking up my Mac (10.7.4). It's still here, just saying.

Mine says: Onverwacht antwoord ontvangen van https://api.oscar.aol.com/aim/startOSCARSession: Invalid Request. statusDetailCode 1015

Which is Dutch for ~ Received unexpected answer from https://api…etc

comment:6 Changed 8 years ago by Michael Denney

I am receiving this *every* time I connect, but only for 1 of the 4 AIM accounts I have in my Adium. Have received this for a long time now (months) and I keep Adium up to date.

Note: See TracTickets for help on using tickets.